package com.saye.hrs.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

/**
 * @description: 黑名单Mapper
 * @author: Mr.zs
 * @create: 2024-04-12 13:46
 **/
@Mapper
public interface BlackListMapper {


    void addBlackList(HashMap<Object, Object> map);

    Integer fetchCountByCardNo(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findAllBlackList(HashMap<Object, Object> searchMap);

    void modifyBlackList(HashMap<Object, Object> map);

    void delBlackList(HashMap<Object, Object> map);
}
